2009-04-17 Jim Garlick <garlick@llnl.gov>

	* : tag powerman-2.3.5

	* scripts/stonith-powerman : Test with heartbeat and reinstate
	in the powerman package now that it works.

2009-04-08 Albert Chu <chu11@llnl.gov>

	* etc/ipmipower.dev: Add comment about why cycle is implemented as
	"off,delay,on" instead of using a normal IPMI cycle.
	
2009-04-01 Jim Garlick <garlick@llnl.gov>

	* test/t58.conf, test/t59.conf : Use listen directive instead
	of port directive to alter the daemon port.

	* man/powerman.conf.5.in : Document listen directive.  Deprecated
	port directive was not documented.

	* src/client.c : Bind daemon to all configured host:port tuples.

	* src/parse_util.[ch] : Allow multiple listen directives to specify
	host:port tuples for daemon to listen on.  If none are configured,
	use default of "127.0.0.1:10101".  NOTE: we used to default to
	"0.0.0.0:10101"!  See https://bugs.launchpad.net/bugs/337226.

	* src/parse_tab.y, src/parse_lex.l : Deprecate "port" directive.
	Add "listen" directive.  USER NOTE: config file syntax change!

	* src/powerman.h : Use numerical address for DFLT_HOSTNAME.

2009-03-31 Jim Garlick <garlick@llnl.gov>

	* etc/Makefile.am, man/powerman-devices.7.in, etc/hpilo.dev,
	etc/hpmpblade.dev, etc/hpmpcell.dev, etc/hpmp.dev,
	etc/hpmpdome.dev : New support for HP systems [Bjorn Helgaas].

2009-03-29 Jim Garlick <garlick@llnl.gov>

	* src/powerman.c : Fix -h option parsing so port is optional.

2009-03-20 Albert Chu <chu11@llnl.gov>

	* man/powerman-devices.7.in: Re-add IPMI/ipmipower section.
	Update with new FreeIPMI information and troubleshooting
	information.
	
2009-03-17 Albert Chu <chu11@llnl.gov>

	* man/powerman.dev.5.in: Fix spelling typo (seperated -> separated).
	
2009-03-09 Jim Garlick <garlick@llnl.gov>

	* scripts/powerman.init.in : Change log_init() message on Red Hat
	from e.g. "Starting Powerman: powermand" to "Starting Powerman: ",
	per chaos bug 710.

2009-02-25 Jim Garlick <garlick@llnl.gov>

	* etc/lom.dev : Added initial support for Sun LOM.

	* test/t51, test/lom.c : Test for above.

2009-02-12 Jim Garlick <garlick@llnl.gov>

	* etc/bashfun.dev : Small tweak to get working on AIX.

2009-02-09 Jim Garlick <garlick@llnl.gov>

	* : tag powerman-2.3.4

2009-01-30 Jim Garlick <garlick@llnl.gov>

	* etc/powerman.dev : Revert change on 2008-04-25 to drop status_all.
	Document that master must powerman.conf control all the plugs in
	the slave powerman.conf's.

	* test/t36 : Alter test to check that a remapped superset works,
	not a subset.

2009-01-26 Jim Garlick <garlick@llnl.gov>

	* etc/bashfun.dev : This wasn't working.  Simplify and fix prompt
	expects so they don't depend on root's prompt initially being a '#'.

	* test/t50 : New test for above.

	* test/Makefile.am : Add -L to cli target so we can find libpowerman.

2009-01-20 Jim Garlick <garlick@llnl.gov>

	* : Continued audit for Debian [Arnaud Quette]
	- fix typo in man/powermand.8.in 
	- add config file path to scripts/powerman.init.in so it properly
	  handles startup when config file is missing
	- install sample powerman.conf as powerman.conf.example

2009-01-09 Jim Garlick <garlick@llnl.gov>

	* : tag powerman-2.3.3

2008-12-21 Jim Garlick <garlick@llnl.gov>

	* man/*.\d.in : Standardize headers, and fix typos etc.

2008-12-02 Jim Garlick <garlick@llnl.gov>

	* : tag powerman-2.3.2

	* src/daemon.[ch], src/powermand.c:  Fix pidfile management.

	* man/* : Fix misc. typos.

	* lib/libpowerman.c : Fix a use-after-free bug in _list_free().

	* test/t49* : Use iterator functions.

2008-12-01 Jim Garlick <garlick@llnl.gov>

	* : tag powerman-2.3.1

	* man/libopwerman.3.in, man/vpcd.8.in : New.

	* man/* : Process through autoconf to get version and path
	substitution.  Normalize headers and SEE ALSO section.

	* test/t49* : Simple test of libpowerman API using cli.c.

	* test/cli.c : Modified to reflect API changes.

	* lib/libpowerman.[ch] : Represent all server errors in pm_err_t.
	Add a flags argument to pm_connect() and a flag for IPv6 only.

	* powerman.spec : Add devel and libs subpackages.

	* lib/* : Move lib sources from src.

	* : Continued audit for Debian [Arnaud Quette]
	- rename autoreconf to autogen.sh, I misunderstood previous suggestion.
	- drop sysconfdir from libpowerman.pc.in
	- install powerman.conf.example as the actual config file
	- install vpcd as part of the base package

2008-11-26 Jim Garlick <garlick@llnl.gov>

	* scripts/Makefile.am : Create /var/run/powerman during install.

	* src/powermand.c, src/daemon.c : Don't chdir to /var/run/powerman
	in daemon initialization.  Let the init script do that for us.
	Also don't attempt to create /var/run/powerman.

	* src/powermand.c : Drop --force-notroot option and do not
	insist that the daemon run as root.

	* config/ac_runas.m4 : New.

	* src/Makefile.am : Install pkg-config file and header.

	* config/ac_pkgconfig.m4 : New [Arnaud Quette].

	* src/libpowerman.pc.in : New [Arnaud Quette]

	* configure.ac : Add support for above.

2008-11-25 Jim Garlick <garlick@llnl.gov>

	* : Add some missing copyright headers.

	* src/libpowerman.[ch] : Some refactoring and cleanup.

2008-11-20 Jim Garlick <garlick@llnl.gov>

	* : Audit for Debian [Arnaud Quette]
	- rename bootstrap to autoreconf (convention)
	- remove htdocs/powerman47.jpg (redistribution rights)
	- fix AUTHORS typo
	- remove comments from man pages
	- add man pages for httppower, plmpower
	- make pm man page an alias for powerman man page

2008-11-16 Jim Garlick <garlick@llnl.gov>

	* src/libpowerman.[ch] : New.

	* bootstrap, autoconf.ac, src/Makefile.am : Add infrastructure
	for libtoolized powerman library.

2008-11-12 Jim Garlick <garlick@llnl.gov>

	* : tag powerman-2.3

	* etc/powerman.conf.example : Renamed from powerman.conf.

2008-11-11 Jim Garlick <garlick@llnl.gov>

	* parse_util.c : Declare config invalid if no nodes are defined.

	* etc/ibmh8.dev : Removed.

008-11-07 Jim Garlick <garlick@llnl.gov>

	* src/parse_tab.y : Relax order of types of config entries.

	* etc/powerman.conf : Config file example.

2008-11-06 Jim Garlick <garlick@llnl.gov>

	* scripts/powerman.init.in : Replace old powerman.init
	with Chris Dunlap's portable init script (lifted fron ConMan).

	* powerman.spec : Make crufty %post, %preun, %postun scripts
	look more like ConMan's.

2008-11-05 Jim Garlick <garlick@llnl.gov>

	* scripts/Makefile.am : Fix a typo in install command
	line that broke on Solaris.

2008-11-04 Jim Garlick <garlick@llnl.gov>

	* src/device.c : Fix memory leak [Scott Burns].

	* etc/cyclades-pm20.dev : New [Scott Burns].

	* etc/cyclades-pm[8,10,42].dev : Added temp script [Scott Burns].

	* test/t46, test/cyclades.c : Added PM20.

2008-11-03 Jim Garlick <garlick@llnl.gov>

	* test/vpcd.c : Fix logic error.

2008-10-26 Jim Garlick <garlick@llnl.gov>

	* test/vpcd.c : Add -p port option and code to accept a connection
	on the specified socket.

	* test/t48 : Simple test using socket between powermand and vpcd.

	* src/powermand.c, src/client.[ch] : Added --one-client option for 
	testing.

2008-10-22 Jim Garlick <garlick@llnl.gov>

	* src/client.c : Additional changes for IPv6 support.

2008-10-21 Jim Garlick <garlick@llnl.gov>

	* src/client.c, src/powermand.c, src/daemon.c, src/powerman.c,
	src/device_tcp.c : Added preliminary IPv6 support.

2008-10-20 Jim Garlick <garlick@llnl.gov>

	* : tag powerman-2.2.2

	* src/client.c :  Revert change to client.c pending debug (r1039:1049).

	* etc/Makefile.am : Add cyclades-pm42.dev to installed dev scripts.

2008-10-15 Jim Garlick <garlick@llnl.gov>

	* src/client.c : Use getaddrinfo() instead of gethostbyaddr()
	to prepare for ipv6 support.

2008-10-10 Jim Garlick <garlick@llnl.gov>

	* etc/cyclades-pm42.dev : New.

	* test/cyclades.c, test/t46* : Test for above.

2008-09-15 Jim Garlick <garlick@llnl.gov>

	* : tag powerman-2.2.1

	* powerman.spec : Handle case when %chaos and %rhel are both defined.

2008-08-27 Jim Garlick <garlick@llnl.gov>

	* : tag powerman-2.2

2008-08-21 Jim Garlick <garlick@llnl.gov>

	* test/baytech.c, test/t21*, test/t22* : Also test rpc3-de model.

2008-08-18 Jim Garlick <garlick@llnl.gov>

	* etc/ipmipower.c, test/t47 : Add ipmipower test [Al Chu].
	
	* etc/ipmipower.dev : Use \n to terminate commands instead of \r.

	* etc/hp3488.dev, etc/ics8064.dev, etc/powerman.dev,
	etc/ipmipower.dev : Define only 'ranged' version of scripts.

	* src/device.c : Use ranged version of scripts instead of singlet 
	versions if defined.  Allow only the ranged script to be defined.

	* src/device.c, src/powermand.c, src/powerman.c, test/t?? : Add 
	-Y,--short-circuit-delay option to expedite testing.

	* etc/icebox.dev, etc/icebox3.dev : Drop status_soft_all scripts.

	* tests/* : Drop soft power status related tests.

	* src/powerman.c, src/client_proto.h, src/client.c, src/parse_tab.y,
	src/parse_lex.l : Drop --soft and --soft-all queries and status_soft,
	status_soft_all scripts.

2008-07-27 Jim Garlick <garlick@llnl.gov>

	* etc/cyclades-pm10.dev, etc/cyclades-pm8.dev : Simplified.

	* test/cyclades.c, test/t46 : Add cyclades tests.

2008-07-26 Jim Garlick <garlick@llnl.gov>

	* test/phantom.c, t45 : Add phantom tests.

	* etc/phantom.dev : Make it work for v3 and v4.

	* etc/phantom4.dev : Removed.

	* config/ac_curses.m4 : Added curses config check, needed by phantom.

2008-07-05 Jim Garlick <garlick@llnl.gov>

	* src/xread.c : Add xreadline().

2008-07-03 Jim Garlick <garlick@llnl.gov>

	* etc/ilom.dev, test/ilom.c, test/t44 : Added reset support.

2008-07-02 Jim Garlick <garlick@llnl.gov>

	* etc/ilom-inline.dev : Removed.

	* etc/ilom.dev : Added, new and improved.

	* test/t44, test/ilom.c : Test for above.

	* src/devices.c : Call device disconnect method during
	device teardown, which occurs as a result of receiving a SIGINT.

2008-06-30 Jim Garlick <garlick@llnl.gov>

	* src/plmpower.c : Fix compilation #if !HAVE_GETOPT_LONG.

	* test/t25.conf : Relax timeout for slow AIX test system.

	* src/device.c : Use actual number of bytes in buffer instead of
	maximum expanded size of buffer to copy buffer contents into for
	regex match.  This 64k memory allocation would fail on AIX in t35-t36.

	* src/xpty.c : xcfmakeraw(): check properly for tcsetattr errors().

	* src/xpty.c : Avoid cfmakeraw() on AIX.  This fixed failures on 
	tests t21-t24,t27-t28,t38.

	* src/powerman.c : Stop leaking a file descriptor for duped stderr
	in _connect_to_server_pipe().

2008-06-29 Jim Garlick <garlick@llnl.gov>

	* src/httppower.c, src/Makefile.am, config/ac_readline.m4,
	configure.ac : Drop readline dependency.

	* test/dli.c, test/t42, test/t43 : Test for DLI LPC device.

2008-06-28 Jim Garlick <garlick@llnl.gov>

	* src/plmpower.c : Tighten up PLM synchronization and clean up:
	- Send X10 commands 3 times (override with -x option)
	- Handle PLM-not-ready NAK properly.
	- Timeout/retry (1s) insteon packets (override timeout with -t option).
	- Added ping command.
	- Rename --testmode,-t to --testmode,-T.
	- Drop monitor command.

	* etc/plmpower.dev : Remove delays.

2008-06-27 Jim Garlick <garlick@llnl.gov>

	* src/plmpower.c : Correct serial port initialization.

	* etc/plmpower.dev : Add 1 sec delay between commands.

2008-06-24 Jim Garlick <garlick@llnl.gov>

	* src/plmpower.c : Added -t option.

	* test/t41 : Test for above.

2008-06-23 Jim Garlick <garlick@llnl.gov>

	* htdocs/supported.html : Add hp3488, ics8064, plmpower, swpdu.

	* etc/ipmipower.dev : Change status scripts to not expect local
	command echo since we turned that off, and to expect \r\n rather
	than $ when setting plug state.

	* src/xregex.c, test/tregex.c : Drop NOT_BOL flag from xregexec,
	so ^ is allowed but $ still isn't.

	* etc/plmpower.dev : Add PLM reset to login script, in case
	someone ran 'monitor' and left PLM in monitor mode.

	* src/plmpower.c : Add 'monitor' command.

2008-06-22 Jim Garlick <garlick@llnl.gov>

	* src/plmpower.c, etc/plmpower.dev : Add support for SmartLabs 
	PLM 2412S controller, controlling Insteon and X10 devices.

2008-06-21 Jim Garlick <garlick@llnl.gov>

	* powerman.spec: Test %{?fedora} not %{?fc9}, %{?chaos} not %{?ch4}.
	Add test for %{?rhel}.

	* etc/ics8064.dev, etc/hp3488.dev : New gpib-utils devices.

	* tests/t37-t40, tests/gpib.c : Tests for above.

	* test/t32.exp : Added missing file.
	
	* test/icebox.c : Fix incorrect plug array declaration.

2008-06-19 Jim Garlick <garlick@llnl.gov>

	* etc/powerman.dev : Implement ranged scripts.

	* test/t35 : Test for powerman vs powerman configuration.

2008-06-18 Jim Garlick <garlick@llnl.gov>

	* test/icebox.c, t29 thru t34 : Tests for icebox support.

	* etc/icebox3.dev : Make it work for v3 and v4.

	* etc/icebox4.dev : Removed.

	* etc/mcr.conf : Test harness version of mcr powerman.conf.

	* examples/* : Removed as the examples were out of date and there
	are now plenty in test/*.conf.

	* src/xpty.[ch], src/device_pipe.c, src/device_serial.c,
	src/device_tcp.c, src/client.c : Factor out nonblock_set() and
	nonblock_clr() functions.

2008-06-18 Albert Chu <chu11@llnl.gov>

	* etc/ipmipower.dev: Fix tabbing.

2008-06-18 Jim Garlick <garlick@llnl.gov>

	* : tag powerman-2.1

	* powerman.spec: Add fc9 stanza.

2008-06-17 Jim Garlick <garlick@llnl.gov>

	* src/device.c : Fix bug where expired delays could be extended by
	the device timeout.

	* test/baytech.c : Fix bug in plug array declarations.

	* test/tregex.c : Initialize error.c for out of memory case.

	* src/poweramn.c : Make argument handling fully backwards compat
	with powerman-2.0 and earlier.

2008-06-16 Jim Garlick <garlick@llnl.gov>

	* etc/apcpdu3.dev : Fixed problem with intermittent failures
	of query script.

	* etc/apcpdu.dev : Backport change from above.

2008-06-13 Jim Garlick <garlick@llnl.gov>

	* test/baytech.c : Add classic baytech rpc3 support.

	* test/t25, test/t26 : Investigate some funny business with delay
	handling.

	* test/27, test/28 : Check classic baytech functionality.

2008-06-12 Jim Garlick <garlick@llnl.gov>

	* test/baytech.c : New, Baytech emulator.

	* test/t21, test/t22 : Check basic baytech-rpc3-nc functionality.

	* test/t23, test/t24 : Check basic baytech-rpc28-nc functionality.

	* src/regex.c : Refuse to compile regex > 256 bytes for portability.

	* etc/baytech-rpc28-nc.dev : Eliminate delays from initial handshake.

	* test/tregex.c : Test some more assumptions about how regexes work.

2008-06-11 Jim Garlick <garlick@llnl.gov>

	* src/hostlist.[ch], src/list.[ch], src/cbuf.[ch] :
	Update to latest versions from lsd-tools trunk.

	* test/t17.conf, test/t18.conf : Increase timeouts so tests can
	succeed on slower systems.

	* src/powerman.c : Append any "dangling" arguments to the target
	list of the last command queued.

2008-06-10 Jim Garlick <garlick@llnl.gov>

	* src/powerman.c : Misc cleanup:
	- make server_fd not global
	- handle --telemetry and --exprange like other commands by 
	  enqueuing them at the head of the command queue.
	- drop hard coded daemon and config file locations.
	- add --ignore-errs option.

	* test/* : Lots of new tests.

	* device_pipe.c : Make pty connection use raw mode.

	* src/xregex.c : Pass REG_NOTBOL and REG_NOTEOL to regexec.
	The end of line ($) and beginning of line (^) operators cannot
	match determinstically the way powerman applies regexes to buffers 
	repeatedly as they fill.

	* etc/baytech-rpc28-nc.dev : Replace use of end of line operator 
	with full text of prompt.

	* config/x_ac_expand_install_dirs.m4 : New, borrow from munge.

	* src/Makefile.am : Drop command line CONFIG_DIR definition.

	* src/powermand.c : Construct default config_filename using
	X_SYSCONFDIR setting, and use directory based on X_LOCALSTATEDIR
	for run directory passed to daemon_init().

	* src/daemon.c : Create rootdir if it doesn't exist.

	* src/device.c : Switch cbuf overwrite mode from NO_DROP to WRAP_MANY
	and make dropping characters non-fatal.

	* src/client.c : Switch client fd to blocking mode before writing
	exit response.
	
2008-06-09 Jim Garlick <garlick@llnl.gov>

	* src/powerman.c : Option changes:
	- change -q,--query option to -q,--query-all with no_arguments
	- add -Q,--query option with required_arguments
	- change -n,--node option to -n,--soft-all with no_arguments
	- add -N,--soft option with required_arguments
	- change -t,--temp option to -t,--temp-all with no_arguments
	- add -P,--temp option with required_arguments
	- change -b,--beacon option to -b,--beacon-all with no_arguments
	- add -B,--beacon option with required_arguments
	- change -d,--destination option to -h,--server-host
	- change -D,--device option to -d,--device-all with no_arguments
	- add -D,--device option with required_arguments

	* scripts/stonith : Reflect option changes above.

	* man/powerman.1 : Reflect option changes above.

	* src/powerman.c : Cleanup:
	- deprecate "off" and "on" program name support
	- abbreviate usage() message to only the most common options
	- allow multiple commands to be run in one invocation
	- add -Z,--dump-cmds option to list commands without executing

	* src/argv.c : Added argv_length(), argv_append().

	* test/targv.c : Sanity check for argv.c.

	* test/* : Tests that exercise the work above.

2008-06-04 Jim Garlick <garlick@llnl.gov>

	* src/powermand.c : Fix signal handling in test (coprocess) mode.

2008-06-02 Jim Garlick <garlick@llnl.gov>

	* : tag powerman-2.0

	* src/xregex.c : Allow main expression match information to be
	obtained.

	* src/device_pipe.c : Make forkpty() error fatal.

	* src/xpty.c : Call err_exit() not lsd_fatal_error() on error.

2008-06-01 Jim Garlick <garlick@llnl.gov>

	* src/xregex.c : Rework.

	* src/device.c, src/parse_tab.y : Rework regex calls.

	* src/device_private.h : Extract from device.h the stuff that 
	should not be exposed to powermand.c.

	* : More general cleanup of header files, copyright block, etc..

	* test/tregex.c, test/t05, test/t05.exp : Added tests for xregex.c.

	* test/vpcd.c : Remove pthreads support.

	* src/xpoll.c : Disable poll() on darwin.

2008-05-30 Jim Garlick <garlick@llnl.gov>

	* src/client.c : Allow instantiation with a single stdin/stdout
	client which causes daemon to terminate when it goes away.

	* src/powermand.c : Add --stdio and --force-notroot options.

	* src/powerman.c : Add --server-path and --config-path options
	which allow client and server to run together as coprocesses.

	* src/wrappers.c : Allow NULL ptyname argument to Forkpty().

	* src/error.c : Removed file::line from lsd error messages.

	* test/* : Add integrated tests.

	* configure.ac, src/Makefile.am, src/parse_* : Disable fatal 
	configure error if flex is not found.  Check in lex/yacc build 
	products so powerman can be built without those.

	* wrappers.[ch] : Many wrappers dropped, others renamed and
	split off to x*.[ch] files.

2008-05-23 Jim Garlick <garlick@llnl.gov>

	* autoconf.ac, src/powerman.c : Use HAVE_GENDERS_H for <genders.h>.

	* autoconf.ac, src/wrappers.c : Use HAVE_PTY_H for <pty.h>.

2008-05-22 Jim Garlick <garlick@llnl.gov>

	* parse_tab.y, parse_lex.l, Makefile.am : Use default automake
	rules for lex/yacc and rename files so they fit.

	* parse_tab.y, parse_lex.l : Removed deprecated config file syntax,
	which emitted warnings since 1.0.16 (Jan 2002).  Reformatted some
	lex code for readability.

	* autoconf.ac : Require flex as scaner is (currently) flex specific.

	* autoconf.ac, config/ac_genders.m4, src/Makefile.am, powerman.c : 
	Add --genders option.

	* src/powerman.c, src/powermand.c : Handle missing getopt_long().

2008-05-21 Jim Garlick <garlick@llnl.gov>

	* ChangeLog-1.0 : Updated to reflect trunk (1.0.32+)

	* htdocs, scripts/stonith-powerman, man/powerman-devices.7, 
	etc/*.dev, NEWS : Updated [copy from trunk].

	* config/ac_curl.m4, config/ac_readline.m4, config/ac_httppower.m4,
	src/Makefile.am, src/httppower.c : Support httppower [port from trunk].

	* src/parse.lex : Update white space rule [port from trunk].

	* src/parse.y, src/wrappers.c, src/client.c, src/powerman.c,
	src/powermand.c : Include limits.h. [port from trunk].

	* config/ac_forkpty.m4, src/device_pipe.c, src/wrappers.[ch] :
	Provide substitute forkpty() if missing (via Forkpty() wrapper).

	* src/client.c, src/powerman.c, src/powermand.c, Makefile.am :
	Stop defining POWERMAN_VERSION in CFLAGS and use VERSION from config.h.

	* config/ac_wrap.m4, src/parse_util.c, src/client.c : 
	Make tcp_wrappers optional.

	* man/powerman.1.in, config/ac_debug.m4, config/ac_genders.m4,
	config/ac_static_modules.m4, config/ac_powerman_module_dir.m4, 
	configure.ac, src/Makefile.am, src/powerman.c, src/ltdl.[ch], 
	src/powerman_options.h, src/powerman_options_genders.c :
	Drop modules, genders support (temporarily?) to focus on portability.

	* src/device.c, src/debug.[ch], src/wrappers.[ch], src/device_tcp.c :
	Fix compiler warnings.

	* src/wrappers.[ch] : Add Dprintf() wrapper to avoid glibc dependency.
	Add timersub() and timeradd() if undefined.

2006-11-16 Jim Garlick <garlick@llnl.gov>

	* ChangeLog : Start over for 2.0 branch.  Old moved to ChangeLog-1.0.

	* etc/bashfun.dev : New.

2006-11-15 Albert Chu <chu11@llnl.gov>

	* : Added autoconf/automake support globally.

	* man/powermand.1 : Renamed to powermand.8.  Adjust text appropriately.

	* man/powerman.1.in, powerman.conf.5, powerman.dev.5: Adjust SEE
	ALSO section for change in section for powermand.

	* src/parse.lex (yywrap): Add function to remove need to link to -lfl.

	* powerman.spec.in: Add man8 directory.

	* src/*.c : Load config.h appropriately.

	* src/config.h: Remove file.

	* src/powerman_options.h, src/powerman_options_genders.c,
	src/powerman.c, man/powerman.1.in: Add module support and -g support.

	* powerman.spec.in: Update with genders module.

	* : branched at 1.0.26+
